Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# renderer.hh File Reference

A PangoRenderer C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/pango/types.hh>`
`#include <pango/pango-renderer.h>`
`#include <xfc/pango/inline/renderer.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Pango

## Classes

- class Xfc::Pango::Renderer
    A PangoRenderer C++ wrapper class. More...

## Enumerations

- enum RenderPart {
  RENDER_PART_FOREGROUND = PANGO_RENDER_PART_FOREGROUND,
  RENDER_PART_BACKGROUND = PANGO_RENDER_PART_BACKGROUND,
  RENDER_PART_UNDERLINE = PANGO_RENDER_PART_UNDERLINE,
  RENDER_PART_STRIKETHROUGH = PANGO_RENDER_PART_STRIKETHROUGH
  }
    Defines different items to render for such purposes as setting colors. More...

## Detailed Description

A PangoRenderer C++ wrapper interface.

Provides Renderer, a base class for objects that are used to render Pango objects such as Pango::GlyphString and Pango::Layout.

## Enumeration Type Documentation

enum RenderPart

Defines different items to render for such purposes as setting colors.

Enumeration values:

  RENDER_PART_FOREGROUND | The text itself.
  RENDER_PART_BACKGROUND | The area behind the text.
  RENDER_PART_UNDERLINE | Underlines.
  RENDER_PART_STRIKETHROUGH | Strikethrough lines.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3